题目链接:http://codeforces.com/contest/431 解题报告: A - Black Square 一道神经病的题。。不知道为何水到如此地步。。。 #include <iostream>#include <cstdio>#include <cstring>#include <algorithm>using namespace std;const int
目录 A - Dora's Set 原题链接 思路分析 AC代码 B - Index and Maximum Value 原题链接 思路分析 AC代码 C - Dora and C++ 原题链接 思路分析 AC代码 D - Iris and Game on the Tree 原题链接 思路分析 AC代码 E - Iris and the Tree 原题链接 思
E. Vanya and Brackets time limit per test 1 second memory limit per test 256 megabytes input standard input output standard output Vanya is doing his maths homework. He has an
手速场,可惜我傻逼卡 c c c了 题目链接 A #include<bits/stdc++.h>using namespace std;#define int long long#define PII pair<int,int>void solve(){int n,k;cin>>n>>k;if(n<k){cout<<1<<'\n';cout<<n<<'\n';}if(n==k){cout<
题目链接 正常难度 A #include<bits/stdc++.h>using namespace std;#define ing long longvoid solve(){int n;cin>>n;vector<int>a(n+1);for(int i=1;i<=n;i++)cin>>a[i];for(int i=1;i<=n;i++){cout<<abs(n+1-a[i])<<' '
d题容斥出的人比c反悔贪心还多…打完蓝桥再补补数论吧 比赛连接 A 题目大意 每次询问给定字符串 s s s和 n n n次操作, n n n为不小于 2 2 2的偶整数,每次操作可在以下两种任选其一 把 s s s反转之后的结果接入 s s s的后面反转 s s s 输出 n n n次操作后的最小字典序字符串 思路 注意 n n n是偶数且大于等于 2 2 2,所以我们只需要判断
快一个月没做题了…果然vp的依托,加快训练吧 比赛链接 A 题目大意 给定 n n n个元素的数组 a a a,每次操作可以选择一个元素并让其加 1 1 1,问使得数组中位数(像上取整)变大的最小操作次数为多少 思路 先排序。每次操作让数字变大,中位数是否只与等于自己的有关,统计输出 ACcode #include<bits/stdc++.h>using namespace std;
A-Shuffle Party 题意 对一个数组,起初是 a i = i a_i=i ai=i 对操作swap(k): 设 d d d是不等于 k k k本身的 k k k的最大除数,然后交换元素 a d a_d ad和 a k a_k ak。 按顺序对每一个 i = 2 , 3 , . . , n i=2,3,..,n i=2,3,..,n进行 s w a p ( i ) swa
1.A a题 ∑ i = 2 n ( a i − a i − 1 ) \sum_{i=2}^{n}(a_{i}-a_{i-1}) ∑i=2n(ai−ai−1)= a n − a 1 a_{n}-a_{1} an−a1所以我们排一下序输出 a n − a 1 a_{n}-a_{1} an−a1即可,当然直接累加也可以 #include<bits/stdc++.h>using na
A.Split it! 题意:给你一个字符串s,和一个参数k,问是否存在k+1个非空子串 a 1 a_1 a1, a 2 a_2 a2,… a k a_k ak, a k + 1 a_{k+1} ak+1使得 s = a 1 + a 2 + . . . + a k + a k + 1 + R ( a k ) + . . . + R ( a 2 ) + R ( a 1 ) . s=a_1+
DP 样例1 5 4 2 3 1 5 输出 1 序列 是3个数字的波浪折线 dp[ i ]表示以 i 结尾的子序列个数 遍历每个位置 i 记录可以作为中心点的个数k j从i-1遍历之前处理过的答案 如果a[ j ] < a [ i ]那么他可以作为 i 的一个中点k++ 如果a[ j ] > a[ i ]那么以 j 结尾的子序列都可以接上k和 i 作为一个新子序列 并且j k i也是一个新子序
D. Generating Sets time limit per test 2 seconds memory limit per test 256 megabytes input standard input output standard output You are given a set Y of n distinct positive integer
C. Destroying Array time limit per test 1 second memory limit per test 256 megabytes input standard input output standard output You are given an array consisting of n non-negative
第一题,水题 A. Vladik and Courtes #include<bits/stdc++.h>using namespace std;int main(){long long a,b;cin>>a>>b;long long t1=0,t2=0;for(int i=1;;i++){t1=t1+2*i-1;t2=t2+2*i;if(t1>a){cout<<"Vladik"<<e